Qt 5.6 | Qt 3D | C++ Classes | QParameter

Qt 5.6.3 Reference Documentation

# QParameter Class

(Qt3DRender::QParameter)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString
- value : QVariant

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QParameter(Qt3DCore::QNode *parent = Q_NULLPTR)
| QParameter(const QString &name, const QVariant &value, Qt3DCore::QNode *parent = Q_NULLPTR)
| QParameter(const QString &name, QAbstractTextureProvider *texture, Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QParameter()
QString | name() const
QVariant | value() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setName(const QString &name)
void | setValue(const QVariant &dv)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | nameChanged(const QString &name)
void | valueChanged(const QVariant &value)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QParameter(QParameterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### name : QString

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

### value : QVariant

Access functions:

QVariant | value() const
void | setValue(const QVariant &dv)

Notifier signal:

void | valueChanged(const QVariant &value)

## Member Function Documentation

### QParameter::QParameter(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QParameter.

### QParameter::QParameter(const QString &name, const QVariant &value, Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QParameter.

### QParameter::QParameter(const QString &name, QAbstractTextureProvider *texture, Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QParameter.

### `[protected]` QParameter::QParameter(QParameterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QParameter::~QParameter()

Destroys the instance of QParameter.

### `[protected]` void QParameter::copy(const Qt3DCore::QNode *ref)